package src.fr.impl;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;


public class HtmlGenerator {
    
    static final String HEADER = "<!DOCTYPE html><html><head><title>Cartailor</title></head>\n";

    static private String generateStringHTML(ConfigurationImpl config){



        return HEADER + "";
    }

    static public void generateHTML(ConfigurationImpl config) throws IOException{
        String content = generateStringHTML(config);
        
        String projectRoot = System.getProperty("user.dir");
        File file = new File(projectRoot, "cartailor.html");

        try (BufferedWriter writer = new BufferedWriter(new FileWriter(file))) {
            writer.write(content);
        }
    }
}
